use strict;
use Test::More tests => 2;
use IO::Scalar;

BEGIN { use_ok 'WebDP::Dog' }

local *WebDP::Dog::now = sub { "now" }; # #1

tie *STDOUT, 'IO::Scalar', \my $out;    # #2
my $dog = WebDP::Dog->new;
$dog->live;
untie *STDOUT;

is $out, "bark: now\nbark: now\nbark: now\n", $out;


