use strict;
use Test::More tests => 4;
use FileHandle;

BEGIN { use_ok('PHP::Session') }

my $session = PHP::Session->new("xxxx", {
    create => 1, save_path => '.',
});

$session->set(dot => '.');    # #1
is $session->get('dot'), '.', 'set => get is ok';
$session->save;

my $handle = FileHandle->new("sess_xxxx");           #
my $content = join '', <$handle>;                    # #2
like $content, qr/dot\|s:1:"\."/,   'dot is string'; #
unlike $content, qr/dot\|d:\./, 'dot is not double'; #

