my @Tests = (
    # id => [ get(a), get(b), get(c) ]
    abcd     => [ 1, 2, 3 ],
    xxxxxxxx => [ undef, 1, 'fooo' ],
);

while (my($id, $test) = splice(@Tests, 0, 2)) {
    my $session = PHP::Session->new($id);
    isa_ok $session, 'PHP::Session';
    is $session->id, $id, "session id is $id";
    is $session->get('a'), $test->[0], "get(a)";
    is $session->get('b'), $test->[1], "get(a)";
    is $session->get('c'), $test->[2], "get(a)";
}

